<?php
if ( !defined( 'ABSPATH' ) ) exit;

//settings page configuration
function bsp_robo_settings_page() { ?>
    <div class="wrap">
        <h3>Call Configuration</h3>
        <form method="post" action="">
           <?php 
        $bsp_robo_settings = bsp_robo_get_settings();
            if($bsp_robo_settings){
                $bsp_robo_settings = $bsp_robo_settings[0];
            } else {
                $bsp_robo_settings = json_encode(array("id"=>"","bspivr_email"=>"","bspivr_key"=>"","bspivr_voiceid"=>"","enable_confirmed_order"=>"","enable_cancelled_order"=>"","enable_callback_order"=>"","enable_auto_call"=>"","billing_phone"=>"","international_calls"=>"","cod"=>"","bacs"=>"","cheque"=>"","other"=>""));
                $bsp_robo_settings = json_decode($bsp_robo_settings, false);
            }   
           ?>
            <input type="hidden" name="id" value="<?php echo esc_attr($bsp_robo_settings->id); ?>">            
            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><label for="blogname">Email: </label></th>
                    <td><input name="bspivr_email" type="text" class="regular-text" placeholder="Enter Email" value="<?php echo esc_attr($bsp_robo_settings->bspivr_email); ?>"></td>
                </tr> 
                <tr valign="top">
                    <th scope="row"><label for="blogname">API Key: </label></th>
                    <td><input name="bspivr_key" type="password" class="regular-text" placeholder="Enter API key" value="<?php echo esc_attr($bsp_robo_settings->bspivr_key); ?>"></td>
                </tr>
                <tr>
                    <th scope="row"><label for="WPLANG">Language<span class="dashicons dashicons-translation" aria-hidden="true"></span></label></th>
                    <td>  
                        <div>
                            <select id="bspivr_voiceid">
                                <option value="1" <?php if($bsp_robo_settings->bspivr_voiceid==1) { echo 'selected'; } ?>>Urdu</option>    
                                <option value="3" <?php if($bsp_robo_settings->bspivr_voiceid==3) { echo 'selected'; } ?>>English</option>
                                <option value="5" <?php if($bsp_robo_settings->bspivr_voiceid!=1 AND $bsp_robo_settings->bspivr_voiceid!=3) { echo 'selected'; } ?>>Custom Voice</option>
                            </select>
                            <input type="text" id="custom_voice" <?php if($bsp_robo_settings->bspivr_voiceid!=1 AND $bsp_robo_settings->bspivr_voiceid!=3) { echo ' value="'.$bsp_robo_settings->bspivr_voiceid.'" '; } else { echo ' style="display: none;"'; } ?> class="form-control form-control-sm" placeholder="Enter Custom Voice ID">
                            <input type="hidden" name="bspivr_voiceid" value="<?php echo $bsp_robo_settings->bspivr_voiceid; ?>">
                        </div>
      
                    </td>
                </tr>
                <hr>
            </table>
    </div>

    <div class="container" style="display: flex;">               
        <div class="wrap"  >
            <h3>Order Status Configuration</h3>            
                <table class="form-table">                   
                    <tr valign="top">         
                        <th scope="row">Enable Confirmed Order Status<br> <small style="font-size: 10px; font-weight: 400;">Note: Change order stauts if customer confirm the order</small></th>
                            <td>
                                <input type="checkbox" class="check" name="enable_confirmed_order" <?php if($bsp_robo_settings->enable_confirmed_order==1) { echo ' value="1" checked'; } ?>>
                            </td>
                        </tr>
                        <tr valign="top">         
                            <th scope="row">Enable Cancelled Order Status<br> <small style="font-size: 10px; font-weight: 400;">Note: Change order stauts if customer cancel the order</small></th>
                                <td>
                                    <input type="checkbox" class="check" name="enable_cancelled_order" <?php if($bsp_robo_settings->enable_cancelled_order==1) { echo ' value="1" checked'; } ?>>
                                </td>
                        </tr>
                        <tr valign="top">         
                            <th scope="row">Enable Call Back Order Status<br> <small style="font-size: 10px; font-weight: 400;">Note: Change order stauts if customer request callback</small></th>
                                <td>
                                    <input type="checkbox" class="check" name="enable_callback_order" <?php if($bsp_robo_settings->enable_callback_order==1) { echo ' value="1" checked'; } ?>>
                                </td>
                        </tr>
                        <hr>
                </table>           
        </div>

        <div class="wrap" style="margin-left: 30%;">
            <h3>Call Settings </h3>
                <table class="form-table">
                    <tr valign="top">         
                        <th scope="row">Enable Auto New Order Call<br><small style="font-size: 10px; font-weight: 400;">Note: Send automated call when new order is placed</small></th>
                            <td>
                                 <input type="checkbox" class="check" name="enable_auto_call" <?php if($bsp_robo_settings->enable_auto_call==1) { echo ' value="1" checked'; } ?>>
                        </td>
                    </tr>
                    <tr valign="top">         
                        <th scope="row">Display Billing Phone<br><small style="font-size: 10px; font-weight: 400;">Note: Show customer phone number in admin orders list</small></th>
                            <td>
                            
                                <input type="checkbox" class="check" name="billing_phone" <?php if($bsp_robo_settings->billing_phone==1) { echo ' value="1" checked'; } ?>>
                            </td>
                    </tr>
                    <tr valign="top">         
                        <th scope="row">International Call To Other Countries <br></th>
                            <td>
                            <input type="checkbox" class="check" name="international_calls" <?php if($bsp_robo_settings->international_calls==1) { echo ' value="1" checked'; } ?>>
                            </td>
                    </tr> 
                        <hr>
                </table>
        </div>
    </div>

    <div class="container" style="display: flex;">  
    <div class="wrap"  >
        <h3>Call Only Listed Payment Method </h3>
            <table class="form-table">
                <tr valign="top">  
                    <th scope="row">Cash On Delivery <br></th>
                        <td>
                            <input type="checkbox" class="check" name="cod" <?php if($bsp_robo_settings->cod==1) { echo 'value="1" checked'; } ?>>
                        </td>
                </tr>         
                <tr valign="top">         
                    <th scope="row">Bank Transfer<br></th>
                        <td>
                        <input type="checkbox" class="check" name="bacs" <?php if($bsp_robo_settings->bacs==1) { echo 'value="1" checked'; } ?>>
                        </td>
                </tr>
                <tr valign="top">         
                    <th scope="row">Cheque</th>
                        <td>
                        <input type="checkbox" class="check" name="cheque" <?php if($bsp_robo_settings->cheque==1) { echo 'value="1" checked'; } ?>>
                      
                        </td>
                </tr>  
                <tr valign="top">         
                    <th scope="row">Other</th>
                        <td>
                        <input type="checkbox" class="check" name="other" <?php if($bsp_robo_settings->other==1) { echo 'value="1" checked'; } ?>>
                            
                        </td>
                </tr>
                <hr>
            </table>
    </div>
    
    </div>
        
        <div class="d-flex justify-content-end my-3 mx-3">
            <button type="button" class="btn button-primary" id="submitSettings">Save Settings</button>
        </div>
        </form>
    <br>   
    <br>
    <a href="https://api.whatsapp.com/send?phone=923151231016&text=I%20need%20help%20with%20my%20WordPress%20integration%20for%20IVR%20Robo%20Call%20Plugin%20for%20<?php echo site_url(); ?>" target="blank" class="woocommerce-Button button">WhatsApp Support</a>

<script type="text/javascript">

    jQuery('#bspivr_voiceid').change(function() {
        var bspivr_voiceid = jQuery('#bspivr_voiceid').find(":selected").val();
        jQuery('#bspivr_voiceid option[value='+bspivr_voiceid+']').attr('selected','selected');
        
        if(bspivr_voiceid==5){
            jQuery("#custom_voice").css("display", "inline-block");
            jQuery("#custom_voice").attr("name", "bspivr_voiceid");
            jQuery("#bspivr_voiceid").attr("name", "");
        } else {
            jQuery("#custom_voice").css("display", "none");
            jQuery("#custom_voice").attr("name", "");
            jQuery("#bspivr_voiceid").attr("name", "bspivr_voiceid");
        }
        if(bspivr_voiceid==1){
            jQuery('#bspivr_voiceid option:nth-child(2)').removeAttr('selected');
            jQuery('#bspivr_voiceid option:nth-child(3)').removeAttr('selected');
        } else if(bspivr_voiceid==3){
            jQuery('#bspivr_voiceid option:nth-child(1)').removeAttr('selected');
            jQuery('#bspivr_voiceid option:nth-child(3)').removeAttr('selected');
        } else if(bspivr_voiceid==5){
            jQuery('#bspivr_voiceid option:nth-child(1)').removeAttr('selected');
            jQuery('#bspivr_voiceid option:nth-child(2)').removeAttr('selected');
        }
        jQuery("input[name = 'bspivr_voiceid']").val(bspivr_voiceid);
    });
    jQuery('#custom_voice').blur(function() {
        jQuery("input[name = 'bspivr_voiceid']").val(jQuery("#custom_voice").val());
    });
    jQuery('.check').change(function() {
        if(jQuery(this).is(":checked")) {
            jQuery(this).attr("checked");
            jQuery(this).val(1);
        } else {
            jQuery(this).val(0);
        }
    });
    jQuery('#submitSettings').click(function() {
        jQuery("#submitSettings").text('Loading');
        var data = {
            'action'                    : 'bsp_robo_settings',
            'id'                        : jQuery("input[name = 'id']").val(),
            'bspivr_email'              : jQuery("input[name = 'bspivr_email']").val(),
            'bspivr_key'                : jQuery("input[name = 'bspivr_key']").val(),
            'bspivr_voiceid'            : jQuery("input[name = 'bspivr_voiceid']").val(),
            'enable_confirmed_order'    : jQuery("input[name = 'enable_confirmed_order']").val(),
            'enable_cancelled_order'    : jQuery("input[name = 'enable_cancelled_order']").val(),
            'enable_callback_order'     : jQuery("input[name = 'enable_callback_order']").val(),
            'enable_auto_call'          : jQuery("input[name = 'enable_auto_call']").val(),
            'billing_phone'             : jQuery("input[name = 'billing_phone']").val(),
            'international_calls'       : jQuery("input[name = 'international_calls']").val(),
            'cod'                       : jQuery("input[name = 'cod']").val(),
            'bacs'                      : jQuery("input[name = 'bacs']").val(),
            'cheque'                    : jQuery("input[name = 'cheque']").val(),
            'other'                     : jQuery("input[name = 'other']").val()
        }
        console.log(data);
        jQuery.post(ajaxurl, data, function(response) {
            var responseabc = JSON.parse(response);
            if (responseabc.success) {
                console.log(data);
                alert('Success');
            } else {
                alert('Error');
            }
            jQuery("#submitSettings").text('Save Settings');
        });
    });
    </script>
<?php
}
?>
